--[[
	-- meter frame
	Def.Quad{
		Name="MeterFrame";
		InitCommand=cmd(zoomto,meterBaseLength,32;diffuse,color("#fffffc");diffusebottomedge,color("#dddddb"));
	};
	
	-- meter background
	Def.Quad{
		Name="MeterBG";
		InitCommand=cmd(zoomto,meterFillLength,28;diffuse,color("#000000");diffusetopedge,color("#888888");diffusealpha,0.8);
	};
	]]

-- dance points bar
	Def.Quad{
		Name="DancePointFrame";
		InitCommand=cmd(zoomto,SCREEN_WIDTH/4,16;y,8;diffuse,color("#fffffc");diffusebottomedge,color("#dddddb"));
		OnCommand=function(self)
			if Player == PLAYER_1 then self:horizalign(left);
			else self:horizalign(right);
			end;
			
			if Player == PLAYER_1 then self:addx(-(SCREEN_WIDTH/4));
			else self:addx((SCREEN_WIDTH/4));
			end;
		end;
	};
	
	-- dance points background
	Def.Quad{
		Name="DancePointBG";
		InitCommand=cmd(zoomto,(SCREEN_WIDTH/4)-4,12;y,8;diffuse,color("#000000");diffusetopedge,color("#888888"));
		OnCommand=function(self)
			if Player == PLAYER_1 then self:horizalign(left);
			else self:horizalign(right);
			end;
			
			if Player == PLAYER_1 then self:addx(-(SCREEN_WIDTH/4)+2);
			else self:addx((SCREEN_WIDTH/4)-2);
			end;
		end;
	};